#ifndef __WIN2HTM_H__RKC__19990304_085200__
#define __WIN2HTM_H__RKC__19990304_085200__
/* 
 * WWIV2HTM - WWIV *.MSG file to HTML conversion utility
 * Copyright (c) 1999 Robert Clevenger
 * All Rights Reserved.
 *
 *
 *
 * This utility may be used freely by WWIV Sysops.  If you make
 * changes, please e-mail me so that I may incorporate them into
 * my next version.
 *
 *
 *
 * email: rob@robsite.org
 * FidoNet: 1:125/2112
 * FILEnet: 1@561.FILENET
 *
 *
 */


// this can be _DOS or _WIN32
#if !defined(_WIN32) && !defined(_LINUX) && !defined(__OS2__)
 #define _DOS
#endif // _WIN32 && _LINUX

#include <stdio.h>
#include <string.h>
#ifdef _DOS
  #include <conio.h>
#endif

#if defined (_WIN32)
// Needs to be made to use colour under Win32 console mode/Linux
  #define WIN32_LEAN_AND_MEAN
  #include <windows.h>
  #define COLOR(x) ;
  #define cprintf printf
#elif defined (_LINUX)
  #define COLOR(x) ;
  #define UNREFERENCED_PARAMETER(x) ((x)=(x))
  #define TRUE 1
  #define FALSE 0
  typedef int BOOL;
  typedef char *LPSTR;
  typedef const char *LPCSTR, *LPCTSTR;
  #define cprintf printf
#else // _WIN32 -- some other OS other than WIN32 or Linux
  // Things I like to use from <windows.h>
  #define UNREFERENCED_PARAMETER(x) ((x)=(x))
  #define TRUE 1
  #define FALSE 0
  typedef int BOOL;
  typedef char *LPSTR;
  typedef const char *LPCSTR, *LPCTSTR;
  #ifdef __OS2__
    #define COLOR(x) ;
  #endif
  #ifdef _DOS
    #define COLOR(x) textcolor(x)
  #else
    #define cprintf printf
  #endif // _DOS
#endif // _WIN32

typedef char colorstring[81];
colorstring colors[10];
colorstring bgcolor;
#define VOID void

#define TITLE       "WWIV2HTM - WWIV to HTML text file conversion utility."
#define VERSION     "Version 0.1 (Build 3)"
#define COPYRIGHT   "Copyright (c) 1999 Robert Clevenger"
#define COPYRIGHT2  "All Rights Reserved"

#endif // __WIN2HTM_H__RKC__19990304_085200__
